HT_CREATE_IRQ(9)

NAME
ht_create_irq - create an irq and attach it to a device.

SYNOPSIS

int ht_create_irq(struct pci_dev * dev, int idx);

ARGUMENTS

dev
    The hypertransport device to find the irq capability on.

idx
    Which of the possible irqs to attach to.

DESCRIPTION

ht_create_irq needs to be called for all hypertransport devices that generate irqs.

The irq number of the new irq or a negative error value is returned.

COPYRIGHT